### Method

# FwupdPlugin FdtImage set_attr_str

#### Declaration [src]

    void
    fu_fdt_image_set_attr_str (
      FuFdtImage* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets a string attribute for the image.

Available since: | 1.8.2

#### Parameters

`key` | `const gchar*`
| String, e.g. `creator`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| Value to store.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.